# Connections FROM Verizon Verizon-ordered Access provides Layer 2 connections from Verizon SDI to your Equinix Fabric port, Network Edge virtual device, or to another service provider over Fabric. > **Note** > > This documentation specifically covers creating the connection from a Verizon-issued service token. If you are connecting TO Verizon from your Equinix infrastructure see [Connections TO Verizon](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/verizon/verizon-sdi-quick-connect.md). ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") * Portal * API 1. An A-side service token authorizing you to use a Verizon SDI port as the connection origin access point. To get an A-side token, work with your Verizon sales representative. Once ready, you will receive an email from Equinix with the a-side token information. 2. An Equinix Customer Portal account. 3. One of the following for the z-side of the connection. * A Fabric port. For information on ordering a Fabric port, see [Order an Equinix Fabric Port](https://docs.equinix.com/fabric/ports/fabric-order-port-new.md). * One or more Network Edge virtual devices. See the [Network Edge docs](https://docs.equinix.com/network-edge.md) for more information. * The service provider you want to connect to. For information on service providers, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) section. 1) Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2) An A-side service token authorizing you to use a Verizon SDI port as the connection origin access point. To get an A-side token, work with your Verizon sales representative. Once ready, you will receive an email from Equinix with the A-side token information. 3) Determine the Z-side information. Either: * Determine your Equinix Fabric ports information by sending a `GET` request to the [`/fabric/v4/ports`](https://docs.equinix.com/api-catalog/fabricv4/ports/getports.md) endpoint. You need the port UUID(s) and the link protocol type (DOT1Q or QINQ). OR * Determine your Network Edge device information. Check your available virtual devices and clusters by sending a `GET` request to the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevices.md) endpoint. You need the device UUID(s). Send a `GET` request to the [`/ne/v1/devices/{device_id}`](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevicebyuuid.md) endpoint to get the specifics of a device. You may choose any available interface on the device for your connection. If you do not specify one, the connection is automatically assigned to the next available interface. OR * Identify the service provider you are connecting to and find its service profile information. Send a `GET` request to the [`/fabric/v4/serviceProfiles`](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/listserviceprofiles.md) endpoint to get a list of all available service profiles. ## Connecting from Verizon to Your Port[​](#connecting-from-verizon-to-your-port "Direct link to Connecting from Verizon to Your Port") * Portal * API 1. Log in to the Customer Portal > Fabric Dashboard and click **Create Connection**. 2. On the **My Own Assets** card, click **Connect to My Own Assets**. ![Create a Connection page with Connect to My Own Assets and its Create Connection button circled](https://docs.equinix.com/assets/images/fabric-verizon-connect-own-port-b6b7196106fa799b14fd26fe9c4f9dbb.png) 3. Select **Service Token** as your origin asset type and enter the A-side token issued by Verizon. ![Enter Primary Service Token dialog with A-side Service Token field and Redeem Service Token button circled](https://docs.equinix.com/assets/images/fabric-verizon-enter-aside-0fd16394f515b3866f1a3a3ac8743c5c.png) 4. Select your port as the destination for the connection. See [Connect My Assets Using E-Line](https://docs.equinix.com/fabric/connecting-your-assets/fabric-connect-e-line.md) for configuration instructions. > **Note** > > Do not click on the Verizon service provider card on the **Create a Connection** page. The Verizon service profile is for creating a connection where Verizon is the destination for the connection (rather than the origin as described here). To create a connection from Verizon to your port, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Provide the Verizon-issued A-side service token information in the `aSide` object. The service token provides all other necessary a-side information to establish the connection. Provide your port information in the `zSide` object, including: * `accessPoint.type` as `COLO` * Provide your port's UUID to `port.uuid` For DOT1Q ports: * Set `linkProtocol.type` as `DOT1Q`. * Provide the VLAN ID to `linkProtocol.vlanTag`. For QINQ ports: * Set linkProtocol.type as `QINQ`. * Provide the inner tag ID to `linkProtocol.vlanCTag`. * Provide the outer tag ID to `linkProtocol.vlanSTag`. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "serviceToken": { "uuid": "" } }, "zSide": { "accessPoint": { "type": "COLO", "port": { "uuid": "" }, "linkProtocol": { "type": "DOT1Q", "vlanTag": } } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` ## Connecting from Verizon to Network Edge Virtual Devices[​](#connecting-from-verizon-to-network-edge-virtual-devices "Direct link to Connecting from Verizon to Network Edge Virtual Devices") ![Verizon A-side token and private service profile connect Network Edge through Equinix Fabric to Verizon SDI NNI](https://docs.equinix.com/assets/images/fabricVerizonSdiToNetworkEdge-a33556a86707c54428663e4f03f88914.png) * Portal * API To connect Verizon SDI to your Network Edge device you must first [create a Z-side service token](https://docs.equinix.com/fabric/service-tokens/create-z-side-token.md#create-a-service-token-for-a-virtual-device) for your device. Once you have created a Z-side service token for your Network Edge device: 1. Log in to the Customer Portal > Fabric Dashboard and click **Create Connection**. 2. On the **Connect using Service Token** card, click **Enter Service Token**. ![Frequent Connections with the Enter Service Token button circled on the Connect using a service token card](https://docs.equinix.com/assets/images/fabric-verizon-connect-with-token-bedeb1d0495a61bfc4d934f650559204.png) 3. Enter the Z-side service token you created and click **Redeem Service Token**. 4. Select **Service Token** as your origin asset type and enter the A-side token as issued by Verizon. 5. Continue to configure your connection by giving it a name and selecting a bandwidth. > **Note** > > VLAN and available bandwidth options are predetermined by the A-side token generated by Verizon. Generic instructions for creating a connection to your own assets is on the [Connect My Assets Using E-Line](https://docs.equinix.com/fabric/connecting-your-assets/fabric-connect-e-line.md) page. > **Note** > > Private IP Multi-VRF on the same PIP port is not supported because Network Edge only allows Dot1q encapsulation. Multiple connections to Network Edge can be supported using multiple A-side tokens representing multiple PIP ports. To create a connection from Verizon to your Network Edge device, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Provide the Verizon-issued a-side service token information in the `aSide` object. The service token provides all other necessary a-side information to establish the connection. Provide your virtual device information in the `zSide` object, including: * `accessPoint.type` as `VD` * `virtualDevice.type` as `EDGE` * `virtualDevice.uuid` as your device's UUID Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "serviceToken": { "uuid": "" } }, "zSide": { "accessPoint": { "type": "VD", "virtualDevice": { "type": "EDGE", "uuid": "" } } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` ## Connecting from Verizon to a Service Provider[​](#connecting-from-verizon-to-a-service-provider "Direct link to Connecting from Verizon to a Service Provider") ![Verizon A-side token creates virtual connections through Equinix Fabric from customer deployments to cloud service providers](https://docs.equinix.com/assets/images/fabricVerizonSdiToCsp-30c0db812812fd2f4a3e7dd9b49feb78.png) * Portal * API 1. Log in to the Customer Portal > Fabric Dashboard and click **Create Connection**. 2. On the **A Service Provider** card, click **Connect to a Service Provider**. ![Create a Connection page with Connect to a Service Provider circled on the A Service Provider card](https://docs.equinix.com/assets/images/fabric-verizon-connect-SP-d2f18e9b0c0cc609ab2206b3d2f742d4.png) 3. Locate the service profile for the provider you want to connect to and click **Select Service**. 4. Click **Create Connection**. 5. Select **Service Token** as your **Origin Asset Type** and enter your Verizon provided A-side service token. 6. Continue to configure your connection. For guidelines on connecting to a specific service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) section of the docs. To create a connection from Verizon to another service provider on Fabric, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Provide the Verizon-issued a-side service token information in the `aSide` object. The service token provides all other necessary a-side information to establish the connection. Provide the required service provider configuration to the `zSide` object, including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the AWS service profile you are connecting to in `profile.uuid`. * Any other parameters needed for the service provider you are connecting to. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy": { "priority": "" }, "aSide": { "serviceToken": { "uuid": "" } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" } } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` ## Monitoring the Connection Status[​](#monitoring-the-connection-status "Direct link to Monitoring the Connection Status") To monitor the status of your connection, from the *Connections* menu, select **Connections Inventory**.